IOStatistics (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.statistics, interface: IOStatistics

Package org.apache.hadoop.fs.statistics

# Interface IOStatistics

All Known Subinterfaces:
  `IOStatisticsSetters`

All Known Implementing Classes:
  `IOStatisticsSnapshot`

@Public @Unstable public interface IOStatistics
IO Statistics.

These are low-cost per-instance statistics provided by any Hadoop I/O class instance.

Consult the filesystem specification document for the requirements of an implementation of this interface.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `MAX_UNSET_VALUE`
  Value when a max value has never been set.
  `static final long`
  `MIN_UNSET_VALUE`
  Value when a minimum value has never been set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Long>`
  `counters()`
  Map of counters.
  `Map<String,Long>`
  `gauges()`
  Map of gauges.
  `Map<String,Long>`
  `maximums()`
  Map of maximums.
  `Map<String,MeanStatistic>`
  `meanStatistics()`
  Map of meanStatistics.
  `Map<String,Long>`
  `minimums()`
  Map of minimums.

- ## Field Details

  - ### MIN_UNSET_VALUE

    static final long MIN_UNSET_VALUE
    Value when a minimum value has never been set.
    See Also:
      - Constant Field Values

  - ### MAX_UNSET_VALUE

    static final long MAX_UNSET_VALUE
    Value when a max value has never been set.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### counters

    Map<String,Long> counters()
    Map of counters.
    Returns:
      the current map of counters.

  - ### gauges

    Map<String,Long> gauges()
    Map of gauges.
    Returns:
      the current map of gauges.

  - ### minimums

    Map<String,Long> minimums()
    Map of minimums.
    Returns:
      the current map of minimums.

  - ### maximums

    Map<String,Long> maximums()
    Map of maximums.
    Returns:
      the current map of maximums.

  - ### meanStatistics

    Map<String,MeanStatistic> meanStatistics()
    Map of meanStatistics.
    Returns:
      the current map of MeanStatistic statistics.